// Persistence of Vision Ray Tracer Scene Description File
// File: escher2.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"  

#declare Camera_Position = <-2.45, 2.15,-7300 >;

camera { location Camera_Position
 direction z*1000 up y right x*4/3 look_at <-2.45, 2.15, 0 > }

light_source	{ < 1000, 1000,-1000 > White }
light_source	{ <    0,-1000,    0 > White*.1 }
// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

sky_sphere { pigment { gradient y turbulence .2
 color_map { [0 White*.75 ] [1 Cyan*.2 ] } scale .001 } rotate z*45 }

#declare Ding = sphere { 0, 1
 pigment { radial frequency 1 rotate y*-90 } }

union {

 object { Ding translate <-3, 3,-1 > }
 object { Ding translate <-3, 3,-3 > }
 object { Ding translate <-3, 1,-3 > }
 object { Ding translate <-3,-1,-3 > }
 object { Ding translate <-3,-3,-3 > }
 object { Ding translate <-1,-3,-3 > }
 object { Ding translate < 1,-3,-3 > }
 object { Ding translate < 3,-3,-3 > }
 object { Ding translate < 3,-3,-5 > }

 difference {
  object { Ding }
  box {-5, <5,5,0> rotate y*45 }
 translate < 3,-3,-7 > }

rotate < 45.0, 35.3, 0.0 > }
