// Persistence of Vision Ray Tracer Scene Description File
// File: escher5.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"

#declare Camera_Position = <-2.45, 2.15,-7300 >;

camera { location Camera_Position
 direction z*1000 up y right x*4/3 look_at <-2.45, 2.15, 0 > }

light_source	{ < 1000, 1000,-1000 > White }
light_source	{ <    0,-1000,    0 > White*.1 }
// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

sky_sphere { pigment { gradient y turbulence .2
 color_map { [0 White*.75 ] [1 Magenta*.2 ] } scale .001 } rotate z*45 }

#declare E1 = .75 ; // variable 0.1 ... 1.0
union {
 cylinder { <-3,-3,-3 >, <-3, 3,-3 >, E1 }
   sphere { <-3,-3,-3 >, E1 }
 cylinder { <-3,-3,-3 >, < 3,-3,-3 >, E1 }
   sphere { < 3,-3,-3 >, E1 }
 cylinder { <-3, 3,-3 >, <-3, 3,-(1-E1) >, E1 }
   sphere { <-3, 3,-3 >, E1 }

 difference {
  cylinder { < 3,-3,-3 >, < 3,-3,-(7+E1) >, E1 }
  box {-5, <5,5,0> rotate y*45 translate < 3,-3,-7 > } }
 rotate < 45.0, 35.3, 0.0 > pigment { Green*.75 } }
