// Persistence of Vision Ray Tracer Scene Description File
// File: escher5a.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"

#declare Camera_Position = <-2.45, 2.15,-73 >;

camera { location Camera_Position
 direction z*10 up y right x*4/3 look_at <-2.45, 2.15, 0 > orthographic }
// Diese "camera" ist notwendig,
// weil "torus" mit "direction" z > 10
// nicht sichtbar ist

light_source	{ < 1000, 1000,-1000 > White }
light_source	{ <    0,-1000,    0 > White*.1 }
// Blitzlicht
light_source{ Camera_Position color rgb < 0.9, 0.9, 1>*0.2 }

sphere { 0, 10000 inverse pigment { gradient y turbulence .2
 color_map { [0 White*.75 ] [1 Yellow*.2 ] } scale 10 }
 finish { phong 0 } rotate z*45 translate <-2.45, 2.15, 0 > }
// "Skysphere" mit camera "orthographic" nicht mglich

#declare E1 = 1 ; // variable 0.1 ... 1.0

#declare Escher = difference {
 torus { 1, E1 rotate x*-90 }
 box { < 0,-5,-5 >, 5 }
 box {-5, < 5, 0, 5 > } translate < 1,-1, 0 > }

union {
 cylinder { <-3,-2,-3 >, <-3, 2,-3 >, E1 }
  object { Escher rotate z*90 translate <-3,-3,-3 > }
 cylinder { <-2,-3,-3 >, < 2,-3,-3 >, E1 }
  object { Escher rotate z*-90 rotate x*90 translate < 3,-3,-3 > }
 cylinder { <-3, 3,-2 >, <-3, 3,-(1-E1) >, E1 }
  object { Escher rotate y*-90 translate <-3, 3,-3 > }

 difference {
  cylinder { < 3,-3,-4 >, < 3,-3,-(7+E1) >, E1 }
  box {-5, <5,5,0> rotate y*45 translate < 3,-3,-7 > } }
 rotate < 45.0, 35.3, 0.0 > pigment { color rgb <1,.6,.2> } }
