// Persistence of Vision Ray Tracer Scene Description File
// File: anotherworld.pov
// Vers: 3.1
// Auth: Porrey

global_settings { assumed_gamma 2.2 }
#default { pigment { color rgb 1 } finish { ambient .4 diffuse .6 phong 1 } }

#include "colors.inc"
#include "textures.inc"
#include "shapes.inc"
#include "rp.inc" // "rp2.inc" = Bestandteil von rp.inc
#include "effect.inc" // Saturnoberflche

#local Normal =
camera { location z*-2.75
         direction z up y right x
         look_at  0.0 }

#local Zoom =
camera { location z*-1.6
         direction z up y right x
         look_at  0.0 angle 100 }

light_source	{ 0 Weiss*.5 }
light_source	{ < 1000, 1000, 1000 > Weiss*.5 }
light_source	{ < 1000, 1000,-1000 > Weiss*.5 }
light_source	{ < 1000, -200,-1000 > Weiss*.5 }

sky_sphere { Starfield_RP } // in rp2.inc

/***********************************Saeule***********************************/
#local Hoehe_Saeule = .2;

#local Sockel_u =
 union {
   box { <-0.15, 0.0,-0.15 >, < 0.15, 0.1, 0.15 > }
   torus { .1, .02 translate y*.12 }
   torus { .12, .02 translate y*.1 }
  } 
#local Schaft =
 cylinder { y*-.85 y*Hoehe_Saeule, .1 translate y*.85 }

#local Sockel_o = union {
 difference {
   box { <-0.15,-0.1,-0.15 >, < 0.15, 0.0, 0.15 > }
   object { Box_rechts rotate z*-30 translate < 0.15,-.03, 0.00> }
   object { Box_links  rotate z* 30 translate <-0.15,-.03, 0.00> }
   object { Box_vorn   rotate x*-30 translate < 0.00,-.03,-0.15> }
   object { Box_hinten rotate x* 30 translate < 0.00,-.03, 0.15> }
  }
 difference {
   cone { y*-.1, .16, y*-.2, .1 }
   object { Box_rechts translate x* 0.11 }
   object { Box_links  translate x*-0.11 }
   object { Box_vorn   translate z*-0.11 }
   object { Box_hinten translate z* 0.11 }
  }
 torus { .1, .02 translate y*-.2 }
translate y*(Hoehe_Saeule+0.85) }

#local Saeule = union {
 object { Sockel_u }
 object { Sockel_o }
 object { Schaft }
}

/************************************Horn************************************/
#local Horn =
union {
 difference {
  union {
    #local Count1 = 10;
    #while (Count1 < 100)
      sphere { 0, .1 scale Count1*.02 translate y*-sqrt(Count1*.01) rotate z*1*Count1 }
    #local Count1 = Count1+1;
    #end
   }
  union {
    #local Count2 = 10;
    #while (Count2 < 110)
      sphere { 0, .095 scale Count2*.02 translate y*-sqrt(Count2*.01) rotate z*1*Count2 }
    #local Count2 = Count2+1;
    #end
   } scale .5 rotate z*-25 translate x*-.4 }

 cylinder { y*-0.3, y*1, .005 pigment { Schwarz } translate x*-0.1 }
 cylinder { y*-0.3, y*1, .005 pigment { Schwarz } translate x*-0.3 }
pigment { Haut*.8 } finish { phong 0 reflection .2 } }

/***********************************Pieper***********************************/
#local Status     =   1; // 1 = rechts; -1 = links
#local Kralle_R   =  10; // rechts Laufen (Stehen: ca. 10,    zum Fliegen:-75)
#local Kralle_Ra  = -10; // rechte Kralle (normal: -Kralle_R, zum Fliegen:-45)
#local Kralle_L   =  10; // links  Laufen (Stehen: ca. 10,    zum Fliegen:-75)
#local Kralle_La  = -10; // linke  Kralle (normal: -Kralle_L, zum Fliegen:-45)
#local Fluegel_1  =   0; // Flgelschlagen (0 bis ca. 135 [3x45])
#local K_K_1      =  25; // 25! // Krper aufrichten (normal: ca. 45)
#local Hoehe_1    =  2;
#local Schw_1     =  -45; // 25! // Schwanz"wedeln" (0-90, normal: ca. 45)

#local Schnabel_2 =  h50_Rot; // Farbe Schnabel, Kamm, Krallen...
#local Kopf_1     =  texture { pigment {h50_Rot_Gelb} finish {phong 0}} // Koerper
#local Kopf_2     =  < 0, 90, 0>; // Drehung des Kopfes (ja, nein usw.)
#local Schw_2     =  15; // Schwanz"spreizen" (ca. 30 - 80)

#local Kamm_0 = union {
  torus { 0.5, 0.1 }
  cylinder { y*0.1, y*-0.1, 0.5 } scale <1,1,2> }

#local Kopf =

difference {
  union {
    sphere { 0, 1 }
    sphere { 0, 0.15 scale <.6,1,.5> translate z*-1 rotate x*-5 }
   }
  sphere { 0, 0.15 scale <1,.6,.5> translate z*-1 rotate x*5 rotate y*18 }
  sphere { 0, 0.15 scale <1,.6,.5> translate z*-1 rotate x*5 rotate y*-18 }

  difference {
    cylinder { z*0, z*-1.2, 1 }
    cylinder { z*.1, z*-1.3, 0.925 }
    box { <-2, -.8,-2,>, 2 }
    scale <.71,1,1> pigment { Schwarz } finish { phong 0 } translate <0,.5,-.8>
  }
scale <.85,1,1> scale .7
texture { Kopf_1 } rotate Kopf_2 }

#local Rumpf = union {
  difference {
   sphere { 0,1 }
   box { <-1.5,-1.5,-1.5>,<1.5,1.5,-0.5> } }
  cone { z*-0.5, 0.866, z*-2, 0 }
 }

#local Koerper_Kopf = union {
  object { Rumpf }
  object { Kopf rotate x*-K_K_1 translate <0,.65,-2.1> }
 rotate x*K_K_1 }

#local Kralle_0 = union {
 cylinder { 0, z*-0.4, 0.06 }
 sphere { 0, 0.09 translate z*-0.4 }
 cone { 0, 0.09, z*-0.2, 0 rotate x*-20 translate z*-0.4}
 rotate x*-20 }

#local Kralle_r = union {
 sphere { 0, 0.3 texture { Kopf_1 } }
 cylinder { 0, y*-1, 0.07 }
 union {
  sphere {0,  0.15 }
  object { Kralle_0 rotate   y*30 }
  object { Kralle_0 rotate    y*0 }
  object { Kralle_0 rotate  y*-30 }
  object { Kralle_0 rotate  y*180 }
  rotate x*Kralle_Ra
  translate y*-1}
 rotate x*Kralle_R}

#local Kralle_l = union {
 sphere { 0, 0.3 texture { Kopf_1 } }
 cylinder { 0, y*-1, 0.07 }
 union {
  sphere {0,  0.15 }
  object { Kralle_0 rotate   y*30 }
  object { Kralle_0 rotate    y*0 }
  object { Kralle_0 rotate  y*-30 }
  object { Kralle_0 rotate  y*180 }
  rotate x*Kralle_La
  translate y*-1}
 rotate x*Kralle_L}


#local Krallen = union {
 object { Kralle_r translate <-0.4,-0.8,-0.2>}
 object { Kralle_l translate < 0.4,-0.8,-0.2>}
pigment { Haut*.75 } finish { phong 0 reflection 0 } }

#local Schwanz_1 = object { Kamm_0 scale <0.4,0.8,1.2>
         translate z*1.4 }
#local Schwanz_2 = object { Kamm_0 scale <0.4,0.8,1.0>
         translate z*0.5 rotate y*-Schw_2 translate z*0.9 }
#local Schwanz_3 = object { Kamm_0 scale <0.4,0.8,1.0>
         translate z*0.5 rotate  y*Schw_2 translate z*0.9 }

#local Schwanz = union {
 object { Schwanz_1 translate y*.5 }
 object { Schwanz_2 rotate z* 15 translate y*.5 }
 object { Schwanz_3 rotate z*-15 translate y*.5  }
 rotate x*-Schw_1 }

#local Federn_Fl = union {
 cylinder { x*-1, x*1, 1 scale <1,0.5,0.4> translate < 0.0, 0.0,0.0>}
 cylinder { x*-1, x*1, 1 scale <1,0.1,0.2> translate < 0.0, 0.5,0.2>}
 cylinder { x*-1, x*1, 1 scale <1,0.2,0.4> translate < 0.0, 0.2,0.4>}
 cylinder { x*-1, x*1, 1 scale <1,0.3,0.6> translate < 0.0,-0.3,0.6>} }

#local Fluegel = union {
 intersection { object { Federn_Fl }
  difference {
   cylinder { z*-2, z*2, 1 }
   cylinder { z*-2.1, z*2.1, 0.9 }
  translate x*-1 }
  scale <1,1,1.5> translate < 0.3,-0.6, 0.0 >
  rotate z*Fluegel_1
  translate < 0.8, 0.6, 0.0 > }

 intersection { object { Federn_Fl }
  difference {
   cylinder { z*-2, z*2, 1 }
   cylinder { z*-2.1, z*2.1, 0.95 }
  translate x*1 }
  scale <1,1,1.5> translate <-0.3,-0.6, 0.0 >
  rotate z*-Fluegel_1
  translate <-0.8, 0.6, 0.0 > }
 }

#local Pieper = union {
 object { Koerper_Kopf }
 object { Krallen }
 object { Schwanz }
 object { Fluegel }

pigment { Haut } finish { phong 0 reflection 0 }
translate y*Hoehe_1
scale .15 rotate y*-90 }

#local Winkel_links_hinten = /*******************************************************/
union {
//================ Grundgeruest linke Wand
difference {
 box { <-1.15,-1.15,-1.15 >, <-0.85, 1.15, 1.15 > }
 box { <-2.00,-0.85,-0.85 >, <-0.50, 0.85, 2.00 > }
no_shadow }

difference { // Bogen
 box { <-1.10,-0.85,-0.85 >, <-0.90, 0.85, 1.00 > }
 cylinder { x*-2.00, x*-0.50, 0.8 translate < 0.0,-0.1, 0.15 > }
 box { -2, < 2, Hoehe_Saeule, 2 > }
no_shadow }

//================ Grundgeruest hintere Wand (z+)
difference {
box { <-1.15,-1.15, 0.85 >, < 1.15, 1.15, 1.15 > }
box { <-2.00,-0.85, 0.50 >, < 0.85, 0.85, 2.00 > }
no_shadow }

difference { // Bogen
 box { <-1.00,-0.85, 0.90 >, < 0.85, 0.85, 1.10 > }
 cylinder { z*0.50, z*2.00, 0.8 translate <-0.15,-0.1, 0.0 > }
 box { -2, < 2, Hoehe_Saeule, 2 > }
no_shadow }

//================ Grundgeruest 3 Podeste und 3 Saeulen
object { Saeule translate <-1.0,-0.85,-0.7 > no_shadow }
object { Saeule translate <-1.0,-0.85, 1.0 > no_shadow }
object { Saeule translate < 0.7,-0.85, 1.0 > no_shadow } 

object { Horn rotate y*90 translate x*-1 no_shadow }
object { Pieper translate <-0.15,-.85,1> }
}

#local Winkel_oben_rechts = /*******************************************************/
union {
//================ Grundgeruest linke Wand
difference {
 box { <-1.15,-1.15,-1.15 >, <-0.85, 1.15, 1.15 > }
 box { <-2.00,-0.85,-0.85 >, <-0.50, 0.85, 2.00 > }
no_shadow }

difference { // Bogen
 box { <-1.10,-0.85,-0.85 >, <-0.90, 0.85, 1.00 > }
 cylinder { x*-2.00, x*-0.50, 0.8 translate < 0.0,-0.1, 0.15 > }
 box { -2, < 2, Hoehe_Saeule, 2 > }
no_shadow }

//================ Grundgeruest hintere Wand (z+)
difference {
box { <-1.15,-1.15, 0.85 >, < 0.15, 1.15, 1.15 > }
box { <-2.00,-0.85, 0.50 >, <-0.15, 0.85, 2.00 > }
no_shadow }

difference { // Bogen
 box { <-1.00,-0.85, 0.90 >, <-0.15, 0.85, 1.10 > }
 cylinder { z*0.50, z*2.00, 0.8 scale <.35,1,1> translate <-0.65,-0.1, 0.0 > }
 box { -2, < 2, Hoehe_Saeule, 2 > }
no_shadow }

//================ Grundgeruest 3 Podeste und 3 Saeulen
object { Saeule translate <-1.0,-0.85,-0.7 > no_shadow }
object { Saeule translate <-1.0,-0.85, 1.0 > no_shadow }
object { Saeule translate <-0.3,-0.85, 1.0 > no_shadow } 

object { Horn scale < 0.65, 0.8, 0.8 > translate z*1 translate x*-0.55 no_shadow }
object { Pieper rotate y*-90 translate <-1,-.85, 0.0> }
}

/***********************************Hintergrund***********************************/

#local EBreite   = 2;	// x_Wert des Bildes
#local EBreite_2 = EBreite/2;
#local EHoehe    = 2;	// y_Wert des Bildes
#local EHoehe_2  = EHoehe/2;
#local ETiefe    = .5;
#local ETiefe_2  = ETiefe/2;

#local Planet = 
 height_field { gif "esch"
   pigment { image_map { gif "esch"
    map_type 0 interpolate 0 } rotate x*90 }
  scale < EBreite, ETiefe, EHoehe >
  translate <-EBreite_2,-ETiefe_2,-EHoehe_2 >
  finish { phong 0 }
no_shadow }
#local Planet_s = 
 height_field { gif "esch_s"
   pigment { image_map { gif "esch_s"
    map_type 0 interpolate 0 } rotate x*90 }
  scale < EBreite, ETiefe, EHoehe >
  translate <-EBreite_2,-ETiefe_2,-EHoehe_2 >
  finish { phong 0 }
no_shadow }
#local Planet_u = 
 height_field { gif "esch_u"
   pigment { image_map { gif "esch_u"
    map_type 0 interpolate 0 } rotate x*90 }
  scale < EBreite, ETiefe, EHoehe >
  translate <-EBreite_2,-ETiefe_2,-EHoehe_2 >
  finish { phong 0 }
no_shadow }
#local Planet_u_s = 
 height_field { gif "esch_u_s"
   pigment { image_map { gif "esch_u_s"
    map_type 0 interpolate 0 } rotate x*90 }
  scale < EBreite, ETiefe, EHoehe >
  translate <-EBreite_2,-ETiefe_2,-EHoehe_2 >
  finish { phong 0 }
no_shadow }

/**************************************Boden links unten********************/
// ============= "nullte" Reihe

object { Planet_u_s translate <-EBreite,-1,0> }

// ============= erste Reihe

union {
  #local Count1 = 0;
  #while (Count1 < 3)
    object { Planet translate y*-1 translate x*-Count1*EBreite }
  #local Count1 = Count1+2;
  #end

  #local Count2 =-1;
  #while (Count2 < 4)
    object { Planet_s translate y*-1
    translate x*-Count2*EBreite }
  #local Count2 = Count2+2;
  #end

 clipped_by { box { < -5, -1.5, -1>, <1.3,1,1> } }
 translate z*1*EHoehe }
 
// ============= zweite Reihe

union {
  #local Count1 = 0;
  #while (Count1 < 3)
    object { Planet_u translate y*-1 translate x*-Count1*EBreite }
  #local Count1 = Count1+2;
  #end

  #local Count2 =-1;
  #while (Count2 < 4)
    object { Planet_u_s translate y*-1 translate x*-Count2*EBreite }
  #local Count2 = Count2+2;
  #end
  
 clipped_by { box { < -5, -1.5, -1>, <1.8,1,1> } }
 translate z*2*EHoehe }

// ============= dritte Reihe

union {
  #local Count1 = 0;
  #while (Count1 < 3)
    object { Planet translate y*-1 translate x*-Count1*EBreite }
  #local Count1 = Count1+2;
  #end

  #local Count2 =-1;
  #while (Count2 < 4)
    object { Planet_s translate y*-1 translate x*-Count2*EBreite }
  #local Count2 = Count2+2;
  #end
 translate z*3*EHoehe }

// ============= vierte Reihe

union {
  #local Count1 = 0;
  #while (Count1 < 3)
    object { Planet_u translate y*-1 translate x*-Count1*EBreite }
  #local Count1 = Count1+2;
  #end

  #local Count2 =-1;
  #while (Count2 < 4)
    object { Planet_u_s translate y*-1 translate x*-Count2*EBreite }
  #local Count2 = Count2+2;
  #end
 translate z*4*EHoehe }

/**************************************Boden rechts oben********************/

object { Planet_u rotate x*-90 translate <0,2,1> }
object { Planet_u_s rotate x*-90 translate <2,2,1> }
object { Planet_s rotate x*-90 clipped_by { box { <-1, 0, -1>, 1 } }
 translate <2,0,1> }

camera { Normal } // Normal | Zoom
// die Camera entpricht einem Seitenverhltnis x:y=1:1
// dennoch kann zur Verstrkung des optischen Effekts
// ein Seitenverhltnis von x:y=3:4 gewhlt werden

union {
object { Winkel_links_hinten } // links_hinten
object { Winkel_oben_rechts rotate x*-90 rotate z*-90 } // oben_rechts
object { Winkel_oben_rechts rotate x* 90 rotate z* 90 } // unten_rechts

//pigment { checker Haut, Haut*0.8 scale 0.05 }
pigment { marble color_map { [ 0.0 Haut][ 1.0 Haut*.5 ] } scale 1 rotate <0,45,45> }
normal { quilted .25 control0 1 control1 1 scale 0.05 }
finish { phong 0 reflection .1 }
}

#local F1 = color rgbf <1.0,0.95,0.9,0.9>;
#local F2 = color rgbf <0.9,0.90,0.9,0.6>;
#local F3 = color rgbf <0.9,0.95,0.8,0.6>;
#local F4 = color rgbf <1.0,0.99,0.9,0.9>;

#local Saturn = union{
 sphere { 0, 1
  texture {Asteroid scale 0.1}
  }
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.30 , 1.20
pigment {F1} translate y*0.01}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.35 , 1.29
pigment {F4} translate y*-0.01}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.47 , 1.35
pigment {F1} translate y*0.00}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.51 , 1.46
pigment {F2} translate y*0.02}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.60 , 1.49
pigment {F3} translate y*0.00}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.66 , 1.60
pigment {F1} translate y*0.01}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.72 , 1.65
pigment {F2} translate y*-0.01}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.82 , 1.71
pigment {F4} translate y*0.00}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.88 , 1.80
pigment {F2} translate y*-0.01}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 1.94 , 1.87
pigment {F1} translate y*0.00}
disc { <0.0, 0.0, 0.0>, <0.0, 1.0, 0.0>, 2.05 , 1.93
pigment {F3} translate y*0.01}
}

object { Saturn scale .5 rotate <-10,0,-25> translate <-2.0, 1.0, 10.0> }
object { Saturn scale .3 rotate <-10,0, 25> translate < 2.5,-4.0,  7.0> }
